Skip to content

Retrieve all available multi-document workflows that can be initiated on a set of documents which:

  • The authenticated user has permissions to view or initiate
  • Can be initiated through the API
GET/api/{version}/objects/documents/actions
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
locWhen localized (translated) strings are available, retrieve them by setting loc to true.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v20.1/objects/documents/actions
{ "responseStatus": "SUCCESS", "data": [ { "name": "Objectworkflow.clinical_study_report_approval__c", "label": "Clinical Study Report Approval", "type": "multidocworkflow" }, { "name": "Objectworkflow.medical_docs_review_and_approval__c", "label": "Medical Docs Review and Approval", "type": "multidocworkflow" } ] }

On SUCCESS, the response lists all available multi-document workflows to initiate on a set of documents. For users without the Workflow: Start permission, the response returns an INSUFFICIENT_ACCESS error.